<bugID>1253009<Summary>"Clear your recent history" does not clear Service Workers or their caches.</Summary><Description>STR:

1. Visit https://www.pokedex.org/
2. Preferences -&gt; Privacy -&gt; Clear Your Recent History
3. Time Range: Everything, What: Everything except "Browsing &amp; Download History"

What should happen:

- The service worker is unregistered
- All cached data is cleared

What actually happens:

- The service worker is still visible in about:serviceworkers
- All data cached by the service worker is still present

To verify that cached data persisted, visit https://www.pokedex.org/manifest.json and run the following in the console:

    caches.match('/img/icon-48.png').then(x =&gt; console.log(`Resource ${(x &amp;&amp; x.ok) ? "WAS" : "WAS NOT"} found in cache:`, x))

Note: Selecting "Browsing &amp; Download History" in the dialog does, surprisingly, unregisters the service worker (Bug 1253008). Caches remain even with every data option selected for clearing.</Description></bugID>